##-----------------------------LICENSE NOTICE------------------------------------
##  This file is part of CPCtelera: An Amstrad CPC Game Engine 
##  Copyright (C) 2018 ronaldo / Fremos / Cheesetea / ByteRealms (@FranGallegoBR)
##
##  This program is free software: you can redistribute it and/or modify
##  it under the terms of the GNU Lesser General Public License as published by
##  the Free Software Foundation, either version 3 of the License, or
##  (at your option) any later version.
##
##  This program is distributed in the hope that it will be useful,
##  but WITHOUT ANY WARRANTY; without even the implied warranty of
##  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
##  GNU Lesser General Public License for more details.
##
##  You should have received a copy of the GNU Lesser General Public License
##  along with this program.  If not, see <http://www.gnu.org/licenses/>.
##------------------------------------------------------------------------------
############################################################################
##                        CPCTELERA ENGINE                                ##
##                 Automatic image conversion file                        ##
##------------------------------------------------------------------------##
## This file is intended for users to automate image conversion from JPG, ##
## PNG, GIF, etc. into C-arrays.                                          ##
############################################################################

##
## NEW MACROS
##

## 16 colours palette
#PALETTE=0 13 1 2 3 6 9 11 12 15 16 18 20 24 25 26
PALETTE=22 12 1 23 3 6 9 25 15 16 11 18 13 24 0 26
 
## Default values
#$(eval $(call IMG2SP, SET_MASK        , none               ))  { interlaced, none }
#$(eval $(call IMG2SP, SET_FOLDER      , src/               ))
#$(eval $(call IMG2SP, SET_EXTRAPAR    ,                    ))
#$(eval $(call IMG2SP, SET_IMG_FORMAT  , sprites            ))	{ sprites, zgtiles, screen }
#$(eval $(call IMG2SP, SET_OUTPUT      , c                  ))  { bin, c }
#$(eval $(call IMG2SP, SET_PALETTE_FW  , $(PALETTE)         ))
#$(eval $(call IMG2SP, CONVERT_PALETTE , $(PALETTE), g_palette ))
#$(eval $(call IMG2SP, CONVERT         , img.png , w, h, array, palette, tileset))

$(eval $(call IMG2SP, SET_MODE        , 0                  )) 
$(eval $(call IMG2SP, SET_FOLDER      , src/sprites/       ))
$(eval $(call IMG2SP, SET_OUTPUT      , c                )) 
$(eval $(call IMG2SP, SET_PALETTE_FW  , $(PALETTE)         ))
$(eval $(call IMG2SP, CONVERT_PALETTE , $(PALETTE), main_palette       ))
$(eval $(call IMG2SP, SET_IMG_FORMAT  , sprites            ))	
$(eval $(call IMG2SP, CONVERT         , assets/cowboy.png , 10, 18, spr_enemigo))
$(eval $(call IMG2SP, CONVERT         , assets/bandido.png , 10, 18, spr_bandido))
$(eval $(call IMG2SP, CONVERT         , assets/coyote.png , 16, 10, spr_coyote))
#$(eval $(call IMG2SP, CONVERT         , assets/calabaza.png , 14, 14, spr_calabaza))
$(eval $(call IMG2SP, CONVERT         , assets/estepicursor2.png , 12, 16, spr_calabaza))
$(eval $(call IMG2SP, CONVERT         , assets/vshot.png , 4, 4, spr_shot))
$(eval $(call IMG2SP, CONVERT         , assets/vala_fuera.png , 4, 4, spr_balav))
$(eval $(call IMG2SP, CONVERT         , assets/corazon.png , 8, 8, spr_heart))
$(eval $(call IMG2SP, CONVERT         , assets/estrella.png , 16, 17, spr_estrella))
$(eval $(call IMG2SP, CONVERT         , assets/key.png , 4, 14, key))
$(eval $(call IMG2SP, CONVERT         , assets/piedra.png , 8, 8, spr_piedra))
$(eval $(call IMG2SP, CONVERT         , assets/bola.png , 8, 8, spr_joy))
$(eval $(call IMG2SP, CONVERT         , assets/button.png , 2, 2, spr_button))

#$(eval $(call IMG2SP, CONVERT         , assets/robot.png , 34, 34, screen_menu))

$(eval $(call IMG2SP, CONVERT         , assets/vaso.png , 8, 8, vaso))

$(eval $(call IMG2SP, SET_IMG_FORMAT  , zgtiles            ))
$(eval $(call IMG2SP, CONVERT         , assets/tiles2.png , 8, 8, tiles))



